Subject: Help using git subtree

From: Gabriel Jover <[email-masked]>
Date: Tue, 30 Jul 2013 11:32:22 +0200

Dear all,

I am trying to avoid using git submodules and thus I am testing if git 
subtree fit my needs.
I have a set of sub-projects linked to a main-project.

Git subtree is very convenient to get all the sub-projects into the 
main-project directory tree
and to send back sub-project commits to the corresponding repository.
But I don't understand the work flow very well.

I can add a subtree with a given prefix and pull/push my commits to the 
repository,
but how do I do to pull/push commits from the main-project to the 
corresponding repository
avoiding sub-projects to be sent?

An other question I have is when will be subtree included in git packages.
I had to compile git from sources in order to get this feature.

Sincerely,

G. Jover-Manas

-- 
+----------------------------------------------------+
  Gabriel V. Jover Mañas
  Computing Division
  Cells / Alba Synchrotron  [http:/www.cells.es]
  Carretera BP 1413 de Cerdanyola-Sant Cugat, Km. 3.3
  E-08290 Cerdanyola del Valles (Barcelona), Spain
  E-mail: [email-masked]
  Phone: +34 93 592 4471
  Office: ALBA P0 Of8/18
+----------------------------------------------------+

Si heu rebut aquest correu per error, us informo que pot contenir informació confidencial i privada i que està prohibit el seu ús. Us agrairiem que ho comuniqueu al remitent i l'elimineu. Gràcies.
Si ha recibido este correo por error, le informo de que puede contener información confidencial  y privada y que está prohibido su uso. Le agradeceré que lo comunique a su remitente y lo elimine. Gracias.
If you have received  this e-mail by error, please note that it may contain confidential and private  information, therefore, the use of this information is strictly forbidden. Please inform the sender of the error and delete the information received. Thank you.